Bug 645646 - RFE: Virtio nic should be support "ethtool -i virtio nic"
RFE: Virtio nic should be support "ethtool -i virtio nic"
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.6
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Laszlo Ersek
Virtualization Bugs
: FutureFeature, Triaged
Depends On:
Blocks: Rhel5KvmTier3 647196
  Show dependency treegraph
 
Reported: 2010-10-22 02:27 EDT by juzhang
Modified: 2011-07-21 06:27 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 647196 (view as bug list)
Environment:
Last Closed: 2011-07-21 06:27:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add get_drvinfo() to virtio_net (688 bytes, patch)
2010-10-27 10:11 EDT, Laszlo Ersek
no flags Details | Diff

  None (edit)
Description juzhang 2010-10-22 02:27:08 EDT
Description of problem:
If boot guest with model=virtio.after boot guest,in guest issue the following commands:
#ethtool -i eth0
Cannot get driver information: Operation not supported

Version-Release number of selected component (if applicable):
#uname -r
2.6.18-227.el5

#rpm -qa | grep kvm
etherboot-roms-kvm-5.4.4-13.el5
kvm-tools-83-205.el5
etherboot-zroms-kvm-5.4.4-13.el5
kvm-qemu-img-83-205.el5
kvm-debuginfo-83-205.el5
kvm-83-205.el5
kmod-kvm-83-205.el5


How reproducible:


Steps to Reproduce:
1.Boot guest with model=virtio
2.In guest,issue the "ethtool -i eth0"

  
Actual results:
#ethtool -i eth0
Cannot get driver information: Operation not supported

Expected results:
Like e1000 or rtl8139 nic
#ethtool -i eth0
driver: 8139cp
version: 1.3
firmware-version: 
bus-info: 0000:00:03.0


Additional info:
Comment 1 Laszlo Ersek 2010-10-27 10:11:26 EDT
Created attachment 455985 [details]
add get_drvinfo() to virtio_net

Before:

    # uname -r
    2.6.18-194.el5

    # ethtool  -i eth0
    Cannot get driver information: Operation not supported

After:

    # uname -r
    2.6.18-228.el5.rhel5_virtio_net_drvinfo_v2

    # ethtool  -i eth0
    driver: virtio_net
    version: 
    firmware-version: 
    bus-info: virtio0
Comment 2 Eduardo Habkost 2010-11-26 10:02:00 EST
This is not a KVM BZ. The patch is for the kernel package, not kvm.
Comment 7 Jarod Wilson 2011-02-09 09:56:38 EST
in kernel-2.6.18-243.el5
You can download this test kernel (or newer) from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.
Comment 13 juzhang 2011-05-18 03:55:37 EDT
Verified in 2.6.18-259.el5

Boot guest with virtio-net

#in guest
ethtool  -i eth0
driver: virtio_net
version: 
firmware-version: 
bus-info: virtio1


this issue has been fixed.
Comment 14 juzhang 2011-05-18 03:56:46 EDT
According to comment13,set this issue as verified.
Comment 21 errata-xmlrpc 2011-07-21 06:27:04 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-1065.html

Note You need to log in before you can comment on or make changes to this bug.